Bug 238786 - deskutils/spice-gtk: drop unneeded SSL_(CFLAGS|LIBS) from CONFIGURE_ENV
Summary: deskutils/spice-gtk: drop unneeded SSL_(CFLAGS|LIBS) from CONFIGURE_ENV
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 10:21 UTC by Roman Bogorodskiy
Modified: 2019-06-29 10:36 UTC (History)
1 user (show)

See Also:
xxjack12xx: maintainer-feedback+


Attachments
proposed patch (491 bytes, patch)
2019-06-24 10:21 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2019-06-24 10:21:13 UTC
Created attachment 205309 [details]
proposed patch

This is no longer needed after https://github.com/freedesktop/spice-gtk/commit/8bf59bc22542dde9a958e818c198b7fe4b4eb9cf#diff-67e997bcfdac55191033d57a16d1408a, OPENSSL_(CFLAGS|LIBS) is enough.
Comment 1 Jack 2019-06-26 20:01:20 UTC
Tested and looks good.
Comment 2 commit-hook freebsd_committer 2019-06-29 10:32:39 UTC
A commit references this bug:

Author: novel
Date: Sat Jun 29 10:32:07 UTC 2019
New revision: 505344
URL: https://svnweb.freebsd.org/changeset/ports/505344

Log:
  deskutils/spice-gtk: drop unneeded SSL_(CFLAGS|LIBS) from CONFIGURE_ENV

  It's no longer needed to set SSL_(CFLAGS|LIBS) in addition to
  OPENSSL_(CFLAGS|LIBS), as it was fixed upstream [1], so don't
  set these unused variables.

  1: https://github.com/freedesktop/spice-gtk/commit/8bf59bc

  PR:		238786
  Approved by:	maintainer

Changes:
  head/deskutils/spice-gtk/Makefile
Comment 3 Roman Bogorodskiy freebsd_committer 2019-06-29 10:36:27 UTC
(In reply to Jack from comment #1)

Committed, thanks!